Subject: bug#52508: [PATCH] Option for vc-delete-file to keep file on disk

From: Richard Stallman <[email-masked]>
Date: Fri, 17 Dec 2021 23:41:15 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I've created the attached patch to have vc-delete file to keep files on
  > disk using a prefix argument. I've only tested it for vc-git.

This may seem shocking, but what about changing vc-delete-file
to ALWAYS preserve the local file?  In other words, to change ONLY the repo?

That's the operation that vc-delete-file is necessary for.
If you do in fact want to delete the local file as well, that's easy to do.

This would have the advantage of one less switch to remember.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)